GET /schedules
Authorization Requiredhttps://[your-subdomain].trackdrive.com/api/v1/schedules
List Schedules.
Lists the schedules in your account. Supports full-text search, filtering by a creation date range, sorting, and pagination, and results can be returned as JSON or CSV. Each schedule includes its actions, end-of-schedule actions, and triggers.
Supported Formats
json, csvParams
| Param name | Description | ||||||
|---|---|---|---|---|---|---|---|
|
serializer Optional Blank value allowed |
This endpoint supports multiple response formats. Pass
|
||||||
|
page Optional |
Return the next page of results.
|
||||||
|
created_at_to Optional |
Date formatted like 2016-01-01 12:25:15 -0500
|
||||||
|
created_at_from Optional |
Date formatted like 2016-01-01 12:25:15 -0500
|
||||||
|
order Optional |
Sort results by this field.
|
||||||
|
order_dir Optional |
Sort results in ascending or descending order.
|
||||||
|
fulltext Optional |
Search for any record that matches this text
|
||||||
|
columns Optional |
Specify the columns you would like returned by the API for a given resource.
Limiting the columns can significantly increase API response time since only the requested data will be processed.
columns=uuid,number,created_at
Must be any combination of:
|